bonus pack CLS compatibility latest version? - Resolved by correct patching

Ask here if you experience technical problems with X³: Terran Conflict or X³: Albion Prelude.

Moderators: timon37, Moderators for English X Forum

Post Reply
freiman17
Posts: 5
Joined: Thu, 21. Dec 17, 15:05

bonus pack CLS compatibility latest version? - Resolved by correct patching

Post by freiman17 » Thu, 21. Dec 17, 15:13

Hi guys! I bought a shiny new PC, and loaded x3TC onto it. Once again, I am really impressed at how great this game is. With the new graphics card, I really can see the textures, which is just amazing.

So, I am trying to install the bonus pack, and I get messages when I start the game that CLS needs for me to be running version 2.5 or 2.1 of the game (depending on which script is being referred to.)

It SEEMS like I am trying to install an outdated version of the bonus pack.

Is the download listed on the "Bonus materials" page the latest version?

I would like to finish the HUB plot, and running 450000 ore into the hub one run at a time seems a little tiresome.

Thanks!

CBJ
EGOSOFT
EGOSOFT
Posts: 35993
Joined: Tue, 29. Apr 03, 00:56

Post by CBJ » Thu, 21. Dec 17, 15:49

My first guess is that you've downloaded the wrong Bonus Pack entirely, and that you're trying to install the X3R one onto an X3TC installation. :)

freiman17
Posts: 5
Joined: Thu, 21. Dec 17, 15:05

Post by freiman17 » Thu, 21. Dec 17, 15:57

Thanks! I will try to reinstalling it. I am downloading from this page

https://www.egosoft.com/download/x3tc/bonus_en.php

I think you are probably correct. I am not really all that smart.

freiman17
Posts: 5
Joined: Thu, 21. Dec 17, 15:05

Post by freiman17 » Thu, 21. Dec 17, 18:39

That didn't help the problem. I really appreciate the help. It's really nice of you.

CBJ
EGOSOFT
EGOSOFT
Posts: 35993
Joined: Tue, 29. Apr 03, 00:56

Post by CBJ » Thu, 21. Dec 17, 18:56

I suppose I should have first asked this: when you installed X3TC did you update it to the latest version? With so many people using Steam these days, I simply assumed it would be the latest version, but if you've just installed it from disk then it will be very out of date. That would certainly explain the error message you are getting rather more simply than my first assumption!

freiman17
Posts: 5
Joined: Thu, 21. Dec 17, 15:05

Post by freiman17 » Thu, 21. Dec 17, 19:12

The latest patches I have installed are

x3tc_bonus_package.4.1.01.exe

and

x3TCUpdate3.3_to_3.4exe

from this page

https://www.egosoft.com/download/x3tc/bonus_en.php

and this page, respectively

https://www.egosoft.com/download/x3tc/patches_en.php

I know that this must be frustrating for you. Thanks for helping.

User avatar
X2-Illuminatus
Moderator (Deutsch)
Moderator (Deutsch)
Posts: 20834
Joined: Sun, 2. Apr 06, 16:38

Post by X2-Illuminatus » Thu, 21. Dec 17, 21:28

There are different DVD versions, but none comes with Update 3.3 out of the box, as far as I know. By installing only the latest update (3.3 to 3.4) you most-certainly missed all the files from the updates before.
To update any version to the latest, please download and install the following updates after each other: first 1.0 -> 3.2, then 3.2 -> 3.3 and lastly 3.3 -> 3.4.
Besteht Interesse an einem Nopileos-Hörbuch?

Farnhams Legende und Nopileos als E-Books!

"People who think they know everything are a great annoyance to those of us who do." - Isaac Asimov

"If it's not impossible, there must be a way to do it." - Sir Nicholas Winton

freiman17
Posts: 5
Joined: Thu, 21. Dec 17, 15:05

Post by freiman17 » Thu, 21. Dec 17, 23:08

Thanks!

That worked. I know it must be really irritating to have to answer the same questions again and again.

I appreciate you guys taking the time.

Post Reply

Return to “X³: Terran Conflict / Albion Prelude - Technical Support”